# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname nokogiri

Name: ruby-%pkgname
Version: 1.4.0
Release: alt1

Summary: HTML, XML, SAX, and Reader parser
Group: Development/Ruby
License: MIT/Ruby
Url: http://rubyforge.org/projects/nokogiri/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on Sun Jun 28 2009 (-bi)
BuildRequires: libruby-devel libxslt-devel ruby-module-racc-runtime ruby-test-unit ruby-tool-setup

%description
Nokogiri parses and searches XML/HTML very quickly, and also has
correctly implemented CSS3 selector support as well as XPath support.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %pkgname-%version
%patch -p1
# Not needed.
rm -r lib/nokogiri/ffi
%update_setup_rb

%build
%ruby_config
%ruby_build
%ruby_test_unit -Ilib:ext:test test

%install
%ruby_install
%rdoc lib/

%files
%doc README.rdoc
%_bindir/*
%ruby_sitelibdir/*
%ruby_sitearchdir/*

%files doc
%ruby_ri_sitedir/Nokogiri*

%changelog
* Wed Mar 17 2010 Timur Batyrshin <erthad@altlinux.org> 1.4.0-alt1
- [1.4.0]

* Sun Jun 28 2009 Alexey I. Froloff <raorn@altlinux.org> 1.3.2-alt1
- [1.3.2]

* Thu Sep 25 2008 Grigory Batalov <bga@altlinux.ru> 1.1.0-alt1
- Initial build for ALT Linux.

